# $Revision: 1.4 $, $Date: 2003/07/08 18:26:38 $
Summary:	getty program for Linux framebuffer console
Summary(pl):	Program getty dla linuksowej konsoli z framebufferem
Name:		fbgetty
Version:	0.1.698
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://fbgetty.meuh.eu.org/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	1705bc0f8f1e03fe50d324ba84ac4e56
Patch0:		%{name}-info.patch
URL:		http://fbgetty.meuh.eu.org/
BuildRequires:	texinfo
Requires:	login
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fbgetty is a new getty program that supports fully capabilities of the
Linux console. For the moment it run only under Linux.

Features:
- extended issue display (escape codes, shell variables)
- framebuffer support (display logo) [not yet]
- refresh issue when VT is activated (time, user, uptime)
- display date/time according to locale
- display the output of any program
- include many files in issue

%description -l pl
fbgetty to nowy program getty w peni obsugujcy moliwoci
linuksowej konsoli. Aktualnie dziaa tylko pod Linuksem.

Moliwoci:
- wywietlanie rozszerzonego issue (kody specjalne, zmienne powoki)
- obsuga framebuffera (wywietlanie logo) [jeszcze nie dziaa]
- odwieanie przy aktywacji VT (czas, liczba uytkownikw, uptime)
- wywietlanie daty i czasu zgodnie z ustawieniami lokalnymi
- wywietlanie wyjcia dowolnego programu
- doczanie wielu plikw do issue.

%prep
%setup -q
%patch -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO docs/*.txt
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*
%{_infodir}/*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fbgetty.spec,v $
Revision 1.4  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.3  2003/05/26 16:24:57  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:47:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2002/11/01 17:08:35  qboosh
- new

